Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000212bareos-core[All Projects] directorpublic2013-07-27 08:562014-01-12 20:39
Reportermvwieringen 
Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOpenIndianaOSOpenIndianaOS Versionb151a
Product Version12.4.4 
Target Version12.4.7Fixed in Version13.2.2 
Summary0000212: Error path on connection refused for NDMP agent query crashes director.
DescriptionWhen the NDMP server is not running and a client query is done and the
remote server returns an connection refused for the default NDMP port (10000)
the director will eventually crash on a call to xdr_destroy()
Additional Information  [1] _lwp_kill(0x5, 0x6, 0x0, 0xfe57ccda), at 0xfe583c07
  [2] thr_kill(0x5, 0x6, 0xfdc1ea40, 0xfe517f8e), at 0xfe57ccfc
  [3] raise(0x6, 0xfe8f9000, 0xfdc1ea70, 0xfe8d7928), at 0xfe517f9a
  [4] umem_do_abort(0x0), at 0xfe8d794a
  [5] umem_err_recoverable(0xfe8e6878, 0xfe8fdaf8, 0x830a008, 0xfe8e68a0), at 0xfe8d7b33
  [6] process_free(0x830a008, 0x1, 0x0, 0x819f420), at 0xfe8d9bb4
  [7] free(0x830a008), at 0xfe8d9bea
  [8] xdrrec_destroy(0x82eee00, 0x0), at 0xfe97a7de
=>[9] ndmconn_destruct(conn = 0x82eedc8), line 107 in "ndml_conn.c"
  [10] ndma_session_destroy(sess = 0xfdc1eb44), line 509 in "ndma_comm_session.c"
  [11] do_ndmp_query(ua = 0x82d4020, ndmp_job = 0xfdc1ebec, client = 0x819f420), line 2730 in "ndmp_dma.c"
  [12] do_ndmp_client_status(ua = 0x82d4020, client = 0x819f420, cmd = (nil)), line 2806 in "ndmp_dma.c"
  [13] status_cmd(ua = 0x82d4020, cmd = 0x82e90b0 "status client=netapp-ndmp"), line 169 in "ua_status.c"
  [14] do_a_command(ua = 0x82d4020), line 271 in "ua_cmds.c"
  [15] handle_UA_client_request(arg = 0x817a160), line 153 in "ua_server.c"
  [16] workq_server(0x8130f74, 0x3a4, 0x81464d8, 0xfdc1efa0), at 0xfed87de7
  [17] lmgr_thread_launcher(0x81464d8, 0xfe5e0000, 0xfdc1efe8, 0xfe57f09e), at 0xfed646b7
  [18] _thrp_setup(0xfe0a1a40), at 0xfe57f0f3
  [19] _lwp_start(0x5, 0x6, 0x0, 0xfe57ccda, 0xfe8f9220, 0xfe5e0000), at 0xfe57f3a0
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2013-07-27 08:56 mvwieringen New Issue
2013-07-27 08:56 mvwieringen Status new => assigned
2013-07-27 08:56 mvwieringen Assigned To => mvwieringen
2013-08-09 16:44 mvwieringen Target Version 12.4.5 => 12.4.6
2013-11-16 15:43 mvwieringen Target Version 12.4.6 => 12.4.7
2014-01-12 20:39 mvwieringen Status assigned => closed
2014-01-12 20:39 mvwieringen Assigned To mvwieringen =>
2014-01-12 20:39 mvwieringen Resolution open => fixed
2014-01-12 20:39 mvwieringen Fixed in Version => 13.2.2


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker